Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfSmartCopy.ByteStore

    java.lang.Object
      com.lowagie.text.pdf.PdfSmartCopy.ByteStore

Enclosing class:
  PdfSmartCopy

    static class PdfSmartCopy.ByteStore

extends Object

Field Summary
`private byte[]` | `b`
`private int` | `hash`
`private MessageDigest` | `md5`

Constructor Summary
`PdfSmartCopy.ByteStore(PRStream str)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`private void` | `serArray(PdfArray array, int level, ByteBuffer bb)`
`private void` | `serDic(PdfDictionary dic, int level, ByteBuffer bb)`
`private void` | `serObject(PdfObject obj, int level, ByteBuffer bb)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### b

    private byte[] b

### hash

    private int hash

### md5

    private MessageDigest md5

Constructor Detail

### PdfSmartCopy.ByteStore

    PdfSmartCopy.ByteStore(PRStream str)
                     throws IOException

Throws:
  `IOException`

Method Detail

### serObject

    private void serObject(PdfObject obj,
                           int level,
                           ByteBuffer bb)
                    throws IOException

  Throws:
    `IOException`

### serDic

    private void serDic(PdfDictionary dic,
                        int level,
                        ByteBuffer bb)
                 throws IOException

  Throws:
    `IOException`

### serArray

    private void serArray(PdfArray array,
                          int level,
                          ByteBuffer bb)
                   throws IOException

  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD